# Generated from eslint-webpacker-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name eslint-webpacker

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Runs eslint or eslint_d from Ruby
License: MIT
URL: https://gitlab.com/zedtux/eslint-webpacker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildArch: noarch

%description
This gem is useful when added to the Rakefile in order to scan each of your
JavaScript files in a Ruby On Rails project using the webpacker gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/eslint-webpacker.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.1.0-1
- Initial package
